st_table Struct Reference

`#include <st.h>`

## Data Fields

struct st_hash_type * | type
st_index_t | num_bins
unsigned int | entries_packed: 1
st_index_t | num_entries: ST_INDEX_BITS - 1
struct st_table_entry ** | bins
struct st_table_entry * | head
struct st_table_entry * | tail

## Detailed Description

Definition at line 77 of file st.h.

## Field Documentation

struct st_table_entry** st_table::bins

Definition at line 94 of file st.h.

Referenced by rehash(), st_add_direct(), st_cleanup_safe(), st_clear(), st_copy(), st_delete(), st_delete_safe(), st_foreach(), st_free_table(), st_get_key(), st_init_table_with_size(), st_insert(), st_insert2(), st_lookup(), and unpack_entries().

unsigned int st_table::entries_packed

Definition at line 80 of file st.h.

Referenced by st_add_direct(), st_cleanup_safe(), st_clear(), st_copy(), st_delete(), st_delete_safe(), st_foreach(), st_get_key(), st_init_table_with_size(), st_insert(), st_insert2(), st_lookup(), st_memsize(), and unpack_entries().

struct st_table_entry* st_table::head

Definition at line 95 of file st.h.

Referenced by rehash(), st_clear(), st_copy(), st_foreach(), and st_init_table_with_size().

st_index_t st_table::num_bins

Definition at line 79 of file st.h.

Referenced by rehash(), st_add_direct(), st_cleanup_safe(), st_clear(), st_copy(), st_foreach(), st_init_table_with_size(), st_memsize(), and unpack_entries().

st_index_t st_table::num_entries

Definition at line 93 of file st.h.

Referenced by autoload_delete(), generic_ivar_remove(), mark_tbl(), onig_number_of_names(), r_prepare(), r_symreal(), rb_check_deadlock(), rb_const_list(), rb_copy_generic_ivar(), rb_econv_asciicompat_encoding(), rb_ivar_count(), rb_ivar_set(), rb_sym_all_symbols(), st_add_direct(), st_cleanup_safe(), st_clear(), st_delete(), st_delete_safe(), st_foreach(), st_get_key(), st_init_table_with_size(), st_insert(), st_insert2(), st_lookup(), st_memsize(), syck_add_sym(), syck_emitter_mark_node(), unpack_entries(), vm_living_thread_num(), w_ivar(), w_object(), and w_symbol().

struct st_table_entry * st_table::tail

Definition at line 95 of file st.h.

Referenced by st_clear(), st_copy(), and st_init_table_with_size().

struct st_hash_type* st_table::type

Definition at line 78 of file st.h.

Referenced by st_init_table_with_size().

The documentation for this struct was generated from the following file:

- include/ruby/st.h